Index: c/make.bat
===================================================================
--- doc/make.bat	(revision 19dcb93366741a275baa8ad855ce8a310dca78f8)
+++ 	(revision )
@@ -1,112 +1,0 @@
-@ECHO OFF
-
-REM Command file for Sphinx documentation
-
-set SPHINXBUILD=sphinx-build
-set ALLSPHINXOPTS=-d _build/doctrees %SPHINXOPTS% .
-if NOT "%PAPER%" == "" (
-	set ALLSPHINXOPTS=-D latex_paper_size=%PAPER% %ALLSPHINXOPTS%
-)
-
-if "%1" == "" goto help
-
-if "%1" == "help" (
-	:help
-	echo.Please use `make ^<target^>` where ^<target^> is one of
-	echo.  html      to make standalone HTML files
-	echo.  dirhtml   to make HTML files named index.html in directories
-	echo.  pickle    to make pickle files
-	echo.  json      to make JSON files
-	echo.  htmlhelp  to make HTML files and a HTML help project
-	echo.  qthelp    to make HTML files and a qthelp project
-	echo.  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter
-	echo.  changes   to make an overview over all changed/added/deprecated items
-	echo.  linkcheck to check all external links for integrity
-	echo.  doctest   to run all doctests embedded in the documentation if enabled
-	goto end
-)
-
-if "%1" == "clean" (
-	for /d %%i in (_build\*) do rmdir /q /s %%i
-	del /q /s _build\*
-	goto end
-)
-
-if "%1" == "html" (
-	%SPHINXBUILD% -b html %ALLSPHINXOPTS% _build/html
-	echo.
-	echo.Build finished. The HTML pages are in _build/html.
-	goto end
-)
-
-if "%1" == "dirhtml" (
-	%SPHINXBUILD% -b dirhtml %ALLSPHINXOPTS% _build/dirhtml
-	echo.
-	echo.Build finished. The HTML pages are in _build/dirhtml.
-	goto end
-)
-
-if "%1" == "pickle" (
-	%SPHINXBUILD% -b pickle %ALLSPHINXOPTS% _build/pickle
-	echo.
-	echo.Build finished; now you can process the pickle files.
-	goto end
-)
-
-if "%1" == "json" (
-	%SPHINXBUILD% -b json %ALLSPHINXOPTS% _build/json
-	echo.
-	echo.Build finished; now you can process the JSON files.
-	goto end
-)
-
-if "%1" == "htmlhelp" (
-	%SPHINXBUILD% -b htmlhelp %ALLSPHINXOPTS% _build/htmlhelp
-	echo.
-	echo.Build finished; now you can run HTML Help Workshop with the ^
-.hhp project file in _build/htmlhelp.
-	goto end
-)
-
-if "%1" == "qthelp" (
-	%SPHINXBUILD% -b qthelp %ALLSPHINXOPTS% _build/qthelp
-	echo.
-	echo.Build finished; now you can run "qcollectiongenerator" with the ^
-.qhcp project file in _build/qthelp, like this:
-	echo.^> qcollectiongenerator _build\qthelp\Periodic Table.qhcp
-	echo.To view the help file:
-	echo.^> assistant -collectionFile _build\qthelp\Periodic Table.ghc
-	goto end
-)
-
-if "%1" == "latex" (
-	%SPHINXBUILD% -b latex %ALLSPHINXOPTS% _build/latex
-	echo.
-	echo.Build finished; the LaTeX files are in _build/latex.
-	goto end
-)
-
-if "%1" == "changes" (
-	%SPHINXBUILD% -b changes %ALLSPHINXOPTS% _build/changes
-	echo.
-	echo.The overview file is in _build/changes.
-	goto end
-)
-
-if "%1" == "linkcheck" (
-	%SPHINXBUILD% -b linkcheck %ALLSPHINXOPTS% _build/linkcheck
-	echo.
-	echo.Link check complete; look for any errors in the above output ^
-or in _build/linkcheck/output.txt.
-	goto end
-)
-
-if "%1" == "doctest" (
-	%SPHINXBUILD% -b doctest %ALLSPHINXOPTS% _build/doctest
-	echo.
-	echo.Testing of doctests in the sources finished, look at the ^
-results in _build/doctest/output.txt.
-	goto end
-)
-
-:end
Index: sasmodels/generate.py
===================================================================
--- sasmodels/generate.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/generate.py	(revision 4eac427494a8f8fcd648a1d147d8ab575268e6ec)
@@ -247,4 +247,7 @@
 """
 
+def format_units(par):
+    return RST_UNITS.get(par, par)
+
 def make_partable(pars):
     """
@@ -255,5 +258,5 @@
         max(len(p[0]) for p in pars),
         max(len(p[-1]) for p in pars),
-        max(len(RST_UNITS[p[1]]) for p in pars),
+        max(len(format_units(p[1])) for p in pars),
         PARTABLE_VALUE_WIDTH,
         ]
@@ -271,5 +274,5 @@
             "%-*s" % (column_widths[0], p[0]),
             "%-*s" % (column_widths[1], p[-1]),
-            "%-*s" % (column_widths[2], RST_UNITS[p[1]]),
+            "%-*s" % (column_widths[2], format_units(p[1])),
             "%*g" % (column_widths[3], p[2]),
             ]))
